Bug 54498 - gnokii port upgrade
Summary: gnokii port upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-15 12:10 UTC by Guido Falsi
Modified: 2003-12-04 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (9.01 KB, patch)
2003-07-15 12:10 UTC, Guido Falsi
no flags Details | Diff
gnokii.diff (17.61 KB, patch)
2003-11-26 19:26 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2003-07-15 12:10:11 UTC
Update to the comms/gnokii port to version 0.5.2

Also added a know WITH_SMSD to enable building the port subdir smsd,
a little daemon to get messages from a phone pass them to a script
or database, and send smses from a directory or database.

NOTE: new file: ports/comms/gnokii/files/patch-smsd-Makefile

Also changed the distfile format from gzip to bzip, which is now available.
Comment 1 Tilman Keskinoz freebsd_committer 2003-07-17 18:41:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anders

over to maintainer
Comment 2 Guido Falsi freebsd_committer 2003-07-24 20:18:14 UTC
Add this iff for a little error with the @${ECHO}:

diff -ruN gnokii.old/Makefile gnokii/Makefile
--- gnokii.old/Makefile Tue Jul 15 12:59:39 2003
+++ gnokii/Makefile     Thu Jul 24 21:17:17 2003
@@ -22,14 +22,6 @@
 # you want them, just install them before this port. The port will
 # then activate a dependency.
 .if !defined(WITH_SMSD)
-@${ECHO}
-@${ECHO} "If you plan using the smsd daemon for automatically
receiving,"
-@${ECHO} "managing and sending SMSes define WITH_SMSD=yes."
-@${ECHO} "smsd has support for normal file system operations, MySQL
and"
-@${ECHO} "PostgreSQL. If any of these 2 database systems are installed
support"-@${ECHO} "will be automatically compiled in. Normal file
systems support is"
-@${ECHO} "always compiled in."
-@${ECHO}
 PLIST_SUB+=    SMSD='@comment '
 PLIST_SUB+=    PGM='@comment '
 PLIST_SUB+=    MSM='@comment '
@@ -87,6 +79,16 @@
  
 FIXPREFIX=     Docs/man/gnokiid.8 Docs/DataCalls-QuickStart Docs/README
\
                common/cfgreader.c po/et.po po/sl.po
+
+pre-fetch:
+       @${ECHO}
+       @${ECHO} "If you plan using the smsd daemon for automatically
receiving,"
+       @${ECHO} "managing and sending SMSes define WITH_SMSD=yes."
+       @${ECHO} "smsd has support for normal file system operations,
MySQL and"+       @${ECHO} "PostgreSQL. If any of these 2 database
systems are installed support"
+       @${ECHO} "will be automatically compiled in. Normal file systems
support is"
+       @${ECHO} "always compiled in."
+       @${ECHO}
  
 post-patch:
 .for f in ${FIXPREFIX}


-- 
Guido Falsi <mad@madpilot.net>
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2003-11-19 23:14:46 UTC
Responsible Changed
From-To: anders->freebsd-ports-bugs

Reset responsible to ports@ because anders gave up maintainership 
of this port some time ago.  This PR has languished for a few 
months, would someone like to take it?
Comment 4 Guido Falsi freebsd_committer 2003-11-26 19:26:34 UTC
I'm attaching a further diff (from the port as is in the ports tree)
from the port to upgrade it to 0.5.6, the latest version(lots of bugs
fixed).

I hope someone's going to look soon at it.

Thanks in advace!

-- 
Guido Falsi <mad@madpilot.net>
Comment 5 Guido Falsi freebsd_committer 2003-12-03 15:24:12 UTC
While installing on a fresh machine noticed a missing dependency, this
patch is needed:

--- Makefile.orig       Wed Dec  3 16:15:54 2003
+++ Makefile    Wed Dec  3 16:15:10 2003
@@ -25,6 +25,7 @@
 PLIST_SUB+=    SMSD='@comment '
 PLIST_SUB+=    PGM='@comment '
 PLIST_SUB+=    MSM='@comment '
+USE_GNOME+=    glib12
 .else
 PLIST_SUB+=    SMSD=''
 .if exists(${LOCALBASE}/lib/mysql/libmysqlclient.so)
@@ -48,7 +49,7 @@
 USE_BZIP2=     yes
 .if !defined(WITHOUT_X11)
 USE_XPM=       yes
-USE_GNOME=     gtk12
+USE_GNOME+=    gtk12
 .endif
 INSTALLS_SHLIB=        yes

-- 
Guido Falsi <mad@madpilot.net>
Comment 6 Pav Lucistnik freebsd_committer 2003-12-03 20:57:37 UTC
State Changed
From-To: open->analyzed

I'll commit this after the freeze. 


Comment 7 Pav Lucistnik freebsd_committer 2003-12-03 20:57:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

I'll commit this after the freeze.
Comment 8 Pav Lucistnik freebsd_committer 2003-12-04 22:00:29 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!